Index: cpukit/aclocal/enable-bare.m4
===================================================================
--- cpukit/aclocal/enable-bare.m4	(revision d7a75734b05154f0a44fe00fbe026027814e0c4e)
+++ cpukit/aclocal/enable-bare.m4	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
@@ -2,5 +2,5 @@
 [
 AC_ARG_ENABLE(bare-cpu-cflags,
-AC_HELP_STRING([--enable-bare-cpu-cflags],[specify a particular cpu cflag (bare bsp specific)]),
+AS_HELP_STRING(--enable-bare-cpu-cflags,specify a particular cpu cflag (bare bsp specific)),
 [case "${enableval}" in
   no) BARE_CPU_CFLAGS="" ;;
@@ -10,5 +10,5 @@
 
 AC_ARG_ENABLE(bare-cpu-model,
-AC_HELP_STRING([--enable-bare-cpu-model],[specify a particular cpu model (bare bsp specific)]),
+AS_HELP_STRING(--enable-bare-cpu-model,specify a particular cpu model (bare bsp specific)),
 [case "${enableval}" in
   no)   BARE_CPU_MODEL="" ;;
Index: cpukit/aclocal/enable-inlines.m4
===================================================================
--- cpukit/aclocal/enable-inlines.m4	(revision d7a75734b05154f0a44fe00fbe026027814e0c4e)
+++ cpukit/aclocal/enable-inlines.m4	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
@@ -3,5 +3,5 @@
 AC_DEFUN([RTEMS_ENABLE_INLINES],
 [AC_ARG_ENABLE(rtems-inlines,
-AC_HELP_STRING([--enable-rtems-inlines],[enable RTEMS inline functions (default:enabled, disable to use macros)]),
+AS_HELP_STRING(--enable-rtems-inlines,enable RTEMS inline functions (default:enabled, disable to use macros)),
 [case "${enableval}" in
   yes) enable_rtems_inlines=yes ;;
Index: cpukit/aclocal/enable-itron.m4
===================================================================
--- cpukit/aclocal/enable-itron.m4	(revision d7a75734b05154f0a44fe00fbe026027814e0c4e)
+++ cpukit/aclocal/enable-itron.m4	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
@@ -6,5 +6,5 @@
 
 AC_ARG_ENABLE(itron,
-AC_HELP_STRING([--enable-itron],[enable itron interface]),
+AS_HELP_STRING(--enable-itron,enable itron interface),
 [case "${enableval}" in 
   yes) RTEMS_HAS_ITRON_API=yes ;;
Index: cpukit/aclocal/enable-multiprocessing.m4
===================================================================
--- cpukit/aclocal/enable-multiprocessing.m4	(revision d7a75734b05154f0a44fe00fbe026027814e0c4e)
+++ cpukit/aclocal/enable-multiprocessing.m4	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
@@ -4,5 +4,5 @@
 [
 AC_ARG_ENABLE(multiprocessing,
-AC_HELP_STRING([--enable-multiprocessing],[enable multiprocessing interface]),
+AS_HELP_STRING(--enable-multiprocessing,enable multiprocessing interface),
 [case "${enable_multiprocessing}" in 
   yes) ;;
Index: cpukit/aclocal/enable-networking.m4
===================================================================
--- cpukit/aclocal/enable-networking.m4	(revision d7a75734b05154f0a44fe00fbe026027814e0c4e)
+++ cpukit/aclocal/enable-networking.m4	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
@@ -6,5 +6,5 @@
 
 AC_ARG_ENABLE(networking,
-AC_HELP_STRING([--enable-networking],[enable TCP/IP stack]),
+AS_HELP_STRING(--enable-networking,enable TCP/IP stack),
 [case "${enableval}" in
   yes) RTEMS_HAS_NETWORKING=yes ;;
Index: cpukit/aclocal/enable-posix.m4
===================================================================
--- cpukit/aclocal/enable-posix.m4	(revision d7a75734b05154f0a44fe00fbe026027814e0c4e)
+++ cpukit/aclocal/enable-posix.m4	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
@@ -6,5 +6,5 @@
 
 AC_ARG_ENABLE(posix,
-AC_HELP_STRING([--enable-posix],[enable posix interface]),
+AS_HELP_STRING(--enable-posix,enable posix interface),
 [case "${enableval}" in 
   yes) RTEMS_HAS_POSIX_API=yes ;;
Index: cpukit/aclocal/enable-rtems-debug.m4
===================================================================
--- cpukit/aclocal/enable-rtems-debug.m4	(revision d7a75734b05154f0a44fe00fbe026027814e0c4e)
+++ cpukit/aclocal/enable-rtems-debug.m4	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
@@ -4,5 +4,5 @@
 [
 AC_ARG_ENABLE(rtems-debug,
-AC_HELP_STRING([--enable-rtems-debug],[enable RTEMS_DEBUG]),
+AS_HELP_STRING(--enable-rtems-debug,enable RTEMS_DEBUG),
 [case "${enable_rtems_debug}" in
   yes) enable_rtems_debug=yes ;;
Index: cpukit/aclocal/multi.m4
===================================================================
--- cpukit/aclocal/multi.m4	(revision d7a75734b05154f0a44fe00fbe026027814e0c4e)
+++ cpukit/aclocal/multi.m4	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
@@ -4,6 +4,5 @@
 [
 AC_ARG_ENABLE(multilib,
-AC_HELP_STRING([--enable-multilib],
-[build many library versions (default=no)]),
+AS_HELP_STRING(--enable-multilib,build many library versions (default=no)),
 [case "${enableval}" in
   yes) multilib=yes ;;
Index: cpukit/aclocal/multilib.m4
===================================================================
--- cpukit/aclocal/multilib.m4	(revision d7a75734b05154f0a44fe00fbe026027814e0c4e)
+++ cpukit/aclocal/multilib.m4	(revision 35d9b418a25f096eebcf01e84e4369103b885126)
@@ -1,11 +1,8 @@
 dnl This provides configure definitions used for multilib support
-
-dnl parts of these macros are derived from newlib-1.8.2's multilib support
 
 AC_DEFUN([RTEMS_ENABLE_MULTILIB],
 [
 AC_ARG_ENABLE(multilib,
-AC_HELP_STRING([--enable-multilib],
-[build many library versions (default=no)]),
+AS_HELP_STRING(--enable-multilib,build many library versions (default=no)),
 [case "${enableval}" in
   yes) multilib=yes ;;
@@ -14,4 +11,4 @@
  esac], [multilib=no])dnl
 
-AM_CONDITIONAL(MULTILIB,test x"${multilib}" = x"yes")
+AM_CONDITIONAL([MULTILIB],[test x"${multilib}" = x"yes"])
 ])
